#include <iostream>
using namespace std;

int calculateMatrix(int, int, int, int[30][30], int[30][30][30]);

int main(int argc, const char * argv[]) {

    int integerMatrix[30][30];
    // accumulateMatrix records the calculated matrix, so we can save time to not to calculate the same matrix twice
    int accumulateMatrix[30][30][30];

    int dimension = 0;
    int newNum = 0;
    int countZeroMatrix = 0;
    cin >> dimension;
    for (int i = 0; i < dimension; i++){
        for (int j = 0; j < dimension; j++){
            cin >> newNum;
            integerMatrix[i][j] = newNum;
            accumulateMatrix[i][j][0] = newNum;
            if (newNum == 0)
                countZeroMatrix += 1;
            
        }
        
    }
    
    if (dimension >= 2){
        for (int i = 2; i < dimension; i++){
            for (int j = 0; j < dimension - i + 1; j++){
                for (int k = 0; k < dimension - i + 1; k++)
                    if (calculateMatrix(i,j,k,integerMatrix,accumulateMatrix) == 0)
                        countZeroMatrix += 1;
            }
        }
        
    }

    int allSum = calculateMatrix(dimension,0,0,integerMatrix,accumulateMatrix);
    if (allSum == 0 && dimension >= 2)
        countZeroMatrix += 1;
    
    
    
    cout << countZeroMatrix << " " << allSum << '\n';
    return 0;
}


// Calculate the summation of the matrix by input matrix length and the left-up corner position
int calculateMatrix(int length, int cornerX, int cornerY, int integerMatrix[30][30], int accumulateMatrix[30][30][30]){
    int totalNum = 0;
    // if legnth is even, split to 4 small matrixes with (length/2) length
    if (length % 2 == 0){
        int half = length / 2;
        
        totalNum += accumulateMatrix[cornerX][cornerY][half-1];
        totalNum += accumulateMatrix[cornerX+half][cornerY][half-1];
        totalNum += accumulateMatrix[cornerX][cornerY+half][half-1];
        totalNum += accumulateMatrix[cornerX+half][cornerY+half][half-1];
    }else{
        // if length is odd split to (length-1)matrix and several 1*1 matrix
        totalNum += accumulateMatrix[cornerX][cornerY][length-2];
        for (int i = 0; i < length; i++){
            totalNum += integerMatrix[cornerX+length-1][cornerY+i];
            totalNum += integerMatrix[cornerX+i][cornerY+length-1];
        }
        totalNum -= integerMatrix[cornerX+length-1][cornerY+length-1];
    }

    //Save the record
    accumulateMatrix[cornerX][cornerY][length-1] = totalNum;
    return totalNum;
    
};
