#include <iostream>
#include <cmath>
using namespace std;

int main(int argc, const char * argv[]) {

    int demandList[1000] = {0};
    int storeList[1000][2];
    int centerList[10][2];
    int price = 0;
    int centerNum = 0;
    int storeNum = 0;
    int cost = 0;
    int x = 0, y = 0;
    
    cin >> centerNum >> storeNum >> price >> cost;
    for (int i = 0; i < centerNum; i++){
        cin >> centerList[i][0] >> centerList[i][1];
    }
    for (int i = 0; i < storeNum; i++){
        cin >> storeList[i][0] >> storeList[i][1];
    }
    
    for (int i = 0; i < storeNum; i++){
        cin >> demandList[i];
    }
    
    int totalProfit = 0;
    int unSatifiedDemand = 0;
    for (int i = 0; i < storeNum; i++){
        int nearCenter = -1;
        int smallestDistance = 40000;
        // for each store, find the nearest distribution center
        for (int j = 0; j < centerNum; j++){
            int newDistance = abs(storeList[i][0] - centerList[j][0]) + abs(storeList[i][1] - centerList[j][1]);
            if (newDistance < smallestDistance){
                smallestDistance = newDistance;
                nearCenter = j;
            }
        }
        
        // Check whether the nearest distribution center will send the goods to this store
        int profitPerProduct = price - cost * smallestDistance;
        if (profitPerProduct >= 0){
            totalProfit += profitPerProduct * demandList[i];
        }else{
            unSatifiedDemand += demandList[i];
        }
    }
    
    cout << totalProfit << " " << unSatifiedDemand << '\n';
    return 0;
}
